package com.hzya.frame.sys.customerControl.entity;

import java.util.Date;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.sys.defultField.entity.DefultField;
import com.hzya.frame.uuid.UUIDUtils;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 客户对照  entity
 * @tableName: sys_customer_control
 * @entityName: CustomerControlEntity
 * @author: gjh
 * @history: 1.0
 */
public class  CustomerControlEntity extends BaseEntity {

	/** 左应用id */
	private String left_app_id;
	/** 左应用编码 */
	private String left_app_code;
	/** 左应用名称 */
	private String left_app_name;
	/** 左接口ID */
	private String left_api_id;
	/** 左id */
	private String left_id;
	/** 左编码 */
	private String left_code;
	/** 左名称 */
	private String left_name;
	/** 左纳税人识别号 */
	private String left_tin;
	/** 右应用id */
	private String right_app_id;
	/** 右应用编码 */
	private String right_app_code;
	/** 右应用名称 */
	private String right_app_name;
	/** 右接口ID */
	private String right_api_id;
	/** 右id */
	private String right_id;
	/** 右编码 */
	private String right_code;
	/** 右名称 */
	private String right_name;
	/** 右纳税人识别号 */
	private String right_tin;
	/** 排序 */
	private Long sorts;
	/** 组织机构ID */
	private String org_id;


	/** 左应用id */
	public void setLeft_app_id(String left_app_id) {
			this.left_app_id = left_app_id;
			}
	/** 左应用id */
	public String getLeft_app_id() {
			return left_app_id;
			}


	/** 左应用编码 */
	public void setLeft_app_code(String left_app_code) {
			this.left_app_code = left_app_code;
			}
	/** 左应用编码 */
	public String getLeft_app_code() {
			return left_app_code;
			}


	/** 左应用名称 */
	public void setLeft_app_name(String left_app_name) {
			this.left_app_name = left_app_name;
			}
	/** 左应用名称 */
	public String getLeft_app_name() {
			return left_app_name;
			}


	/** 左接口ID */
	public void setLeft_api_id(String left_api_id) {
			this.left_api_id = left_api_id;
			}
	/** 左接口ID */
	public String getLeft_api_id() {
			return left_api_id;
			}


	/** 左id */
	public void setLeft_id(String left_id) {
			this.left_id = left_id;
			}
	/** 左id */
	public String getLeft_id() {
			return left_id;
			}


	/** 左编码 */
	public void setLeft_code(String left_code) {
			this.left_code = left_code;
			}
	/** 左编码 */
	public String getLeft_code() {
			return left_code;
			}


	/** 左名称 */
	public void setLeft_name(String left_name) {
			this.left_name = left_name;
			}
	/** 左名称 */
	public String getLeft_name() {
			return left_name;
			}


	/** 左纳税人识别号 */
	public void setLeft_tin(String left_tin) {
			this.left_tin = left_tin;
			}
	/** 左纳税人识别号 */
	public String getLeft_tin() {
			return left_tin;
			}


	/** 右应用id */
	public void setRight_app_id(String right_app_id) {
			this.right_app_id = right_app_id;
			}
	/** 右应用id */
	public String getRight_app_id() {
			return right_app_id;
			}


	/** 右应用编码 */
	public void setRight_app_code(String right_app_code) {
			this.right_app_code = right_app_code;
			}
	/** 右应用编码 */
	public String getRight_app_code() {
			return right_app_code;
			}


	/** 右应用名称 */
	public void setRight_app_name(String right_app_name) {
			this.right_app_name = right_app_name;
			}
	/** 右应用名称 */
	public String getRight_app_name() {
			return right_app_name;
			}


	/** 右接口ID */
	public void setRight_api_id(String right_api_id) {
			this.right_api_id = right_api_id;
			}
	/** 右接口ID */
	public String getRight_api_id() {
			return right_api_id;
			}


	/** 右id */
	public void setRight_id(String right_id) {
			this.right_id = right_id;
			}
	/** 右id */
	public String getRight_id() {
			return right_id;
			}


	/** 右编码 */
	public void setRight_code(String right_code) {
			this.right_code = right_code;
			}
	/** 右编码 */
	public String getRight_code() {
			return right_code;
			}


	/** 右名称 */
	public void setRight_name(String right_name) {
			this.right_name = right_name;
			}
	/** 右名称 */
	public String getRight_name() {
			return right_name;
			}


	/** 右纳税人识别号 */
	public void setRight_tin(String right_tin) {
			this.right_tin = right_tin;
			}
	/** 右纳税人识别号 */
	public String getRight_tin() {
			return right_tin;
			}


	/** 排序 */
	public void setSorts(Long sorts) {
			this.sorts = sorts;
			}
	/** 排序 */
	public Long getSorts() {
			return sorts;
			}


	/** 组织机构ID */
	@Override
    public void setOrg_id(String org_id) {
			this.org_id = org_id;
			}
	/** 组织机构ID */
	@Override
    public String getOrg_id() {
			return org_id;
			}


}
